Name:		rocm-hip
Version:	3.9.0
Release:	0%{?dist}
Summary:	HIP

License:	MIT
URL:		https://github.com/RadeonOpenCompute/ROCm
Source0:	https://github.com/ROCm-Developer-Tools/HIP/archive/rocm-%{version}.tar.gz

Patch0:		0001-strip-tests.patch
Patch1:		0002-strip-git-hash-from-so-file.patch
Patch2:		0003-fix-install-paths.patch
Patch3:		0004-fix-paths-in-perl-executables.patch
Patch4:		0001-set-version-manually.patch
Patch5:		0001-remove-some-x86-specifics.patch

ExclusiveArch:	x86_64 aarch64

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:	cmake
BuildRequires:	rocm-runtime-devel
BuildRequires:	hsakmt-devel
BuildRequires:	rocm-comgr-devel
BuildRequires:	rocclr
BuildRequires:	llvm-devel
# TODO: libglvnd-devel should be probably added as a dependency to rocclr
BuildRequires:	libglvnd-devel
BuildRequires:	perl-interpreter
BuildRequires:	perl-Getopt-Long
BuildRequires:	rocminfo

Requires:	rocm-runtime
Requires:	hsakmt
Requires:	rocm-comgr
Requires:	clang

%description
HIP

%package devel
Summary: HIP development files
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: rocm-device-libs = %{version}
Requires:	perl-interpreter
Requires:	perl-Getopt-Long
Requires:	rocminfo

%description devel
HIP development files

%prep
%autosetup -n  HIP-rocm-%{version} -p1

%build
mkdir build
cd build

%cmake .. -D__HIP_ENABLE_PCH=OFF -DHSA_PATH=/usr -DHIP_COMPILER=clang -DHIP_PLATFORM=rocclr -DCMAKE_BUILD_TYPE=RelWithDebInfo
%cmake_build


%install
cd build
%cmake_install

%ldconfig_scriptlets

%check
cd samples/0_Intro/square
# TODO: make test work even if HIP is not installed yet
#make

%files
%doc README.md
%license LICENSE.txt
%{_libdir}/libamd*
%{_includedir}/

%files devel
%{_bindir}/*
%{_includedir}/*
%{_libdir}/cmake

%changelog
* Mon Nov 23 2020 Philipp Knechtges - 3.9.0-0
- Initial commit
